Authentication.Deferred (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server

## Interface Authentication.Deferred

- All Superinterfaces:
    Authentication
  All Known Implementing Classes:
    DeferredAuthentication
  Enclosing interface:
    Authentication

      public static interface Authentication.Deferred
      extends Authentication

  A deferred authentication with methods to progress the authentication process.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication

      `Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jetty.server.Authentication

      `NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Authentication` | `authenticate(javax.servlet.ServletRequest request)` Authenticate if possible without sending a challenge.
    `Authentication` | `authenticate(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` Authenticate and possibly send a challenge.
    `Authentication` | `login(String username, String password)` Login with the LOGIN authenticator

- - ### Method Detail

    - #### authenticate

          Authentication authenticate(javax.servlet.ServletRequest request)

      Authenticate if possible without sending a challenge. This is used to check credentials that have been sent for non-manditory authentication.
      Returns:
        The new Authentication state.

    - #### authenticate

          Authentication authenticate(javax.servlet.ServletRequest request,
                                    javax.servlet.ServletResponse response)

      Authenticate and possibly send a challenge. This is used to initiate authentication for previously non-manditory authentication.
      Returns:
        The new Authentication state.

    - #### login

          Authentication login(String username,
                             String password)

      Login with the LOGIN authenticator
      Parameters:
        `username` -
        `password` -
      Returns:
        The new Authentication state

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.